'use strict';

module.exports = {
    extends: [
        'plugin:react/recommended',
        'plugin:jsx-a11y/recommended',
        'plugin:prettier/recommended',
        'prettier/react'
    ],
    plugins: ['react', 'react-hooks', 'jsx-a11y'],
    rules: {
        'react/prop-types': 0,
        'react/jsx-handler-names': 0,
        'react/jsx-fragments': 0,
        'react/no-unused-prop-types': 0,
        'react-hooks/rules-of-hooks': 'error',
        'react-hooks/exhaustive-deps': 0,
        'import/no-extraneous-dependencies': ['error', {
            devDependencies: true
        }],
    },
    parserOptions: {
        ecmaFeatures: {
            jsx: true
        }
    },
    settings: {
        react: {
            version: 'detect'
        }
    }
};
