# eslint-config-abdt

Набор правил для статического анализа кода от "Ак Барс Цифровые Технологии".

## Как установить?

```
# yarn
yarn add eslint-config-abdt

# npm
npm install --save-dev eslint-config-abdt

```

## Как использовать?

Добавьте eslint-config-abdt в массив "extends" вашего файла `.eslintrc.*`.

```
{
    "extends": "abdt"
}
```

## Как расширить?

Добавьте дополнительные исключения в зависимости от контекста вашего проекта:

```
{
    "extends": [
       "abdt",
       "abdt/react",
       "abdt/typescript"
    ]
}
```
