'use strict';

module.exports = {
    plugins: [
        'prettier',
    ],
    env: {
        // Проект для браузера
        'browser': true,
        // Включаем возможности ES6
        'es6': true,
    },
    extends: [
        'airbnb-base',
        'plugin:prettier/recommended',
        'prettier/standard',
    ],
    rules: {
        'space-before-function-paren': 0,
        'import/export': 0,
        'no-debugger': 'error',
        'no-console': 0,
        'import/no-unresolved': 0,
        'import/extensions': 0,
        'arrow-body-style': ['error', 'as-needed'],
        'import/prefer-default-export': 'off',
        "no-plusplus": ["error", { "allowForLoopAfterthoughts": true }]
    }
};
